Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84204 - SRPM won't rebuild with aspython2 set to one
Summary: SRPM won't rebuild with aspython2 set to one
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: python
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-13 14:02 UTC by Peter Bowen
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-09-16 19:42:17 UTC


Attachments (Terms of Use)
Patch to fix both issues (deleted)
2003-02-13 14:03 UTC, Peter Bowen
no flags Details | Diff

Description Peter Bowen 2003-02-13 14:02:14 UTC
python-2.2.2-22 won't rebuild with the aspython2 macro set to 1 because it is
missing a file.  Additionally the current package is binary incompatible with
older python 2.2.2 packages as ucs4 is being used for unicode.

Comment 1 Peter Bowen 2003-02-13 14:03:39 UTC
Created attachment 90051 [details]
Patch to fix both issues

I'm putting this in bugzilla so it doesn't get lost.  The patch is far less
intrusive than others before it.

Comment 2 Mihai Ibanescu 2003-02-13 17:20:36 UTC
The UCS4 vs. UCS2 is already fixed in the python2 packages released for 7.3
yesterday.

Thanks for the patches.

Comment 3 Mihai Ibanescu 2003-09-16 19:42:17 UTC
This was fixed a long time ago AFAIR.


Note You need to log in before you can comment on or make changes to this bug.